petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscSFWindowSetSyncType

set synchrozitaion type for PetscSF communication

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFWindowSetSyncType(PetscSF sf,PetscSFWindowSyncType sync)

Logically Collective Many br

### Input Arguments

| sf | - star forest for communication Many br
| sync | - synchronization type Many br

### Options Database Key

-sf_window_sync <sync> -sets the synchronization type FENCE, LOCK, or ACTIVE (see PetscSFWindowSyncType) Many br

Many br

### See Also

PetscSFSetFromOptions(), PetscSFWindowGetSyncType()

Level:advanced
Location:src/vec/is/sf/impls/window/sfwindow.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages